/***************************************************************************
 *
 *                    RELATIONAL DATABASE SYSTEMS, INC.
 *
 *  COPYRIGHT (c) 1981-1986 RELATIONAL DATABASE SYSTEMS, INC., PALO ALTO, 
 *  CALIFORNIA.  All rights reserved.  No part of this work covered by the 
 *  copyright hereon may be reproduced or used in any form or by any means 
 *  -- graphic, electronic, or mechanical, including photocopying, 
 *     recording, taping, or information storage and retrieval systems --
 *  without permission of RDS.
 *
 *  Title:	sqlda.h
 *  Sccsid:	@(#)sqlda.h	4.3	11/24/86  15:41:37
 *  Description:
 *		SQL Data Description Area
 *
 ***************************************************************************
 */


#ifndef _SQLDA
#define _SQLDA

struct sqlvar_struct
    {
    short sqltype;		/* variable type		*/
    short sqllen;		/* length in bytes		*/
    char *sqldata;		/* pointer to data		*/
    short *sqlind;		/* pointer to indicator		*/
    char  *sqlname;		/* variable name		*/
    char  *sqlformat;		/* reserved for future use 	*/
    };

struct sqlda
    {
    short sqld;
    struct sqlvar_struct *sqlvar;
    };

#endif /* _SQLDA */
