/***************************************************************************
 *
 *                    RELATIONAL DATABASE SYSTEMS, INC.
 *
 *  COPYRIGHT (c) 1981-1986 RELATIONAL DATABASE SYSTEMS, INC., PALO ALTO, 
 *  CALIFORNIA.  All rights reserved.  No part of this work covered by the 
 *  copyright hereon may be reproduced or used in any form or by any means 
 *  -- graphic, electronic, or mechanical, including photocopying, 
 *     recording, taping, or information storage and retrieval systems --
 *  without permission of RDS.
 *
 *  Title:	sqlmsgtype.h
 *  Sccsid:	@(#)sqlstype.h	4.6	2/5/87	18:02:40	
 *  Description:
 *		defined symbols for SQL statement types
 *
 ***************************************************************************
 */

/*
 * SQL statement types
 */

#define SQ_DATABASE	1
#define SQ_SELECT	2
#define SQ_SELINTO	3
#define SQ_UPDATE	4
#define SQ_DELETE	5
#define SQ_INSERT	6
#define SQ_UPDCURR	7
#define SQ_DELCURR	8
#define SQ_LDINSERT	9
#define SQ_LOCK		10
#define SQ_UNLOCK	11
#define SQ_CREADB	12
#define SQ_DROPDB	13
#define SQ_CRETAB	14
#define SQ_DRPTAB	15
#define SQ_CREIDX	16
#define SQ_DRPIDX	17
#define SQ_GRANT	18
#define SQ_REVOKE	19
#define SQ_RENTAB	20
#define SQ_RENCOL	21
#define SQ_CREAUD	22
#define SQ_STRAUD	23
#define SQ_STPAUD	24
#define SQ_DRPAUD	25
#define SQ_RECTAB	26
#define SQ_CHKTAB	27
#define SQ_REPTAB	28
#define SQ_ALTER	29
#define SQ_STATS	30
#define SQ_CLSDB	31
#define SQ_DELALL	32
#define SQ_UPDALL	33
#define SQ_BEGWORK	34
#define SQ_COMMIT	35
#define SQ_ROLLBACK	36
#define SQ_SAVEPOINT	37
#define SQ_STARTDB	38
#define SQ_RFORWARD	39
#define SQ_CREVIEW	40
#define SQ_DROPVIEW	41
#define SQ_DEBUG	42
#define SQ_CREASYN	43
#define SQ_DROPSYN	44
#define SQ_CTEMP	45
#define SQ_WAITFOR	46
#define SQ_ALTIDX       47
#define SQ_ISOLATE	48
#define SQ_SETLOG	49
